[Unit]
Description=YAMN Nym ingress
Documentation=https://docs.rs/nym-sdk/latest/nym_sdk/
Wants=network-online.target
After=network-online.target tor.service

[Service]
Type=simple
User=yamn-ingress
Group=yamn-ingress
EnvironmentFile=/etc/yamnweb/yamn-nym-ingress.env
ExecStart=/usr/local/bin/yamn-nym-ingress
Restart=on-failure
RestartSec=10s
NoNewPrivileges=true
PrivateTmp=true
PrivateDevices=true
ProtectHome=true
ProtectSystem=strict
ReadWritePaths=/var/lib/yamnweb/nym-ingress
RestrictAddressFamilies=AF_INET AF_INET6 AF_UNIX
RestrictSUIDSGID=true
LockPersonality=true
MemoryDenyWriteExecute=true
CapabilityBoundingSet=
AmbientCapabilities=
StandardOutput=journal
StandardError=journal

[Install]
WantedBy=multi-user.target

